Get a media buy
curl --request GET \
--url https://api.semicola.com/api/v2/buyer/media-buys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/buyer/media-buys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/buyer/media-buys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"campaignId": "<string>",
"advertiserId": 123,
"sellerId": 123,
"storefrontId": 4503599627370495,
"name": "<string>",
"status": "DRAFT",
"adcpStatus": "pending_creatives",
"pendingAt": "storefront",
"pendingReason": "<string>",
"pendingSince": "2023-11-07T05:31:56Z",
"errorCode": "product_no_longer_available",
"errorOwner": "buyer_input",
"sourceMessage": "<string>",
"currency": "<string>",
"budget": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"adcpTaskId": "<string>",
"upstreamMediaBuyId": "<string>",
"forwardedAt": "2023-11-07T05:31:56Z",
"buyerReference": "<string>",
"pausedBy": "buyer",
"revision": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Media Buys
Get a media buy
GET
/
api
/
v2
/
buyer
/
media-buys
/
{id}
Get a media buy
